# Liquidity events

`GET https://api.getchord.xyz/v1/lp/events`

Source: https://getchord.xyz/docs/api-reference/operations/lpevents/

Adds, removes and fee collects on one token, wallet or pool, newest first, each valued in dollars where the pool has an anchor side. One of `token`, `wallet` or `pool` is required.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `chain` | query | yes | `5042` · `4663` · `143` | Chain id: `5042` Arc · `4663` Robinhood Chain · `143` Monad. |
| `token` | query | no | string |  |
| `wallet` | query | no | string |  |
| `pool` | query | no | string |  |
| `kind` | query | no | `add` · `remove` · `collect` |  |
| `minUsd` | query | no | number |  |
| `limit` | query | no | integer (default `40`) |  |
| `offset` | query | no | integer (default `0`) |  |

## Response 200

Example (captured from the live API):

```json
{
  "chain": 5042,
  "events": [
    {
      "tx": "0x74acfa695f6ea11770a2356a49b750c9c5e0685a8ee106ebfae67ccd049d4ba6",
      "logIndex": 20,
      "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09",
      "dex": "uniswap_v4",
      "kind": "remove",
      "wallet": "0xc85d3ed2dfa128888e658e3a947f24bfa96db654",
      "token": "0x8faae5592b9acc27a79fca745c6b872adf514a5d",
      "tokenAmt": 0,
      "anchor": "0x3600000000000000000000000000000000000000",
      "anchorAmt": 90.769723,
      "usd": 90.769723,
      "priced": true,
      "tickLower": 352440,
      "tickUpper": 354519,
      "block": 21802531,
      "ts": 1789888952
    },
    {
      "tx": "0x74acfa695f6ea11770a2356a49b750c9c5e0685a8ee106ebfae67ccd049d4ba6",
      "logIndex": 18,
      "pool": "0xf53f02d9041d00bbd92235b4c902b9f350c554a8ed2dc64fa0a4585aac413f09",
      "dex": "uniswap_v4",
      "kind": "remove",
      "wallet": "0xc85d3ed2dfa128888e658e3a947f24bfa96db654",
      "token": "0x8faae5592b9acc27a79fca745c6b872adf514a5d",
      "tokenAmt": 0,
      "anchor": "0x3600000000000000000000000000000000000000",
      "anchorAmt": 72.615778,
      "usd": 72.615778,
      "priced": true,
      "tickLower": 350361,
      "tickUpper": 352440,
      "block": 21802531,
      "ts": 1789888952
    }
  ],
  "limit": 2,
  "offset": 0,
  "updatedAt": 1789891870679
}
```

- **400**: Invalid parameters — `error` names the check that failed (`INVALID_PARAMS`, `BAD_ADDRESS`, `BAD_LIMIT`, `BAD_HOURS`, …).
